<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>管理范围</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
</head>
<body>

<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md6">
            <div class="layui-card">

                <div class="layui-card-body">
                    <form class="layui-form" action="" lay-filter="component-form-element">
                        <div id="id_store" class="demo-tree"></div>
                        <button class="layui-btn" id="id_save" lay-submit lay-filter="component-form-element"
                                style="display: none">保存
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="../../layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: '../../../layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
        , formSelects: 'formSelects-v4'
    }).use(['index', 'form', 'tree', 'formSelects'], function () {
        var $ = layui.$
            , admin = layui.admin
            , form = layui.form
            , tree = layui.tree
            , formSelects = layui.formSelects;

        var id = layui.view.getParameterByName('id');
        admin.req({
            url: '/account/store/tree/?id=' + id
            , done: function (res) {
                tree.render({
                    elem: '#id_store'
                    , data: res.data
                    , showCheckbox: true
                });
            }
        });

        form.on('submit(component-form-element)', function (data) {
            var sotres = []
            for (var key in data.field) {

                if (key.indexOf('store') > -1) {
                    sotres.push(data.field[key])
                }
            }
            if (sotres.length === 0) {
                layer.msg('请选择门店');
                return false;
            }
            admin.req({
                url: '/account/employee/' + id + '/branch/'
                , data: {sotres:JSON.stringify(sotres)}
                , type: 'post'
                , done: function (res) {
                    parent.layer.closeAll('iframe');
                    parent.layui.table.reload('datagrid', {});
                }
            });
            return false;
        });

        parent.layui.submitChild = function () {
            $("#id_save").click();
        };
    });
</script>
</body>
</html>
